<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (13.0.2) on Tue Dec 15 16:43:06 MUT 2020 -->
<title>Note</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-12-15">
<meta name="description" content="declaration: package: doca, class: Note">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Note.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">doca</a></div>
<h1 title="Class Note" class="title">Class Note</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.awt.Component
<div class="inheritance">java.awt.Container
<div class="inheritance">java.awt.Window
<div class="inheritance">java.awt.Dialog
<div class="inheritance">javax.swing.JDialog
<div class="inheritance">doca.Note</div>
</div>
</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.image.ImageObserver</code>, <code>java.awt.MenuContainer</code>, <code>java.io.Serializable</code>, <code>javax.accessibility.Accessible</code>, <code>javax.swing.RootPaneContainer</code>, <code>javax.swing.WindowConstants</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Note</span>
extends javax.swing.JDialog</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Manox-1</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#doca.Note">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li class="blockList">
<section class="nestedClassSummary"><a id="nested.class.summary">
<!--   -->
</a>
<h2>Nested Class Summary</h2>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;javax.swing.JDialog</h2>
<a id="nested.classes.inherited.from.class.javax.swing.JDialog">
<!--   -->
</a><code>javax.swing.JDialog.AccessibleJDialog</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Dialog</h2>
<a id="nested.classes.inherited.from.class.java.awt.Dialog">
<!--   -->
</a><code>java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Window</h2>
<a id="nested.classes.inherited.from.class.java.awt.Window">
<!--   -->
</a><code>java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h2>
<a id="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a><code>java.awt.Container.AccessibleAWTContainer</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h2>
<a id="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#acceuil">acceuil</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#connection">connection</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.toedter.calendar.JDateChooser</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#date">date</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jLabel1">jLabel1</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jLabel2">jLabel2</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jLabel3">jLabel3</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jLabel4">jLabel4</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jPanel1">jPanel1</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JScrollPane</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jScrollPane1">jScrollPane1</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JTextArea</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jTextArea1">jTextArea1</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="Connexion.html" title="class in doca">Connexion</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#myconnexion">myconnexion</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#notes">notes</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rechercher">rechercher</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static java.sql.ResultSet</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rs">rs</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) static java.sql.Statement</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#st">st</a></span></code></th>
<td class="colLast">
<div class="block">Creates new form Note</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#valide">valide</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;javax.swing.JDialog</h3>
<a id="fields.inherited.from.class.javax.swing.JDialog">
<!--   -->
</a><code>accessibleContext, rootPane, rootPaneCheckingEnabled</code></div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;java.awt.Dialog</h3>
<a id="fields.inherited.from.class.java.awt.Dialog">
<!--   -->
</a><code>DEFAULT_MODALITY_TYPE</code></div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<a id="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></div>
<div class="inheritedList">
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<a id="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a><code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></div>
<div class="inheritedList">
<h3>Fields inherited from interface&nbsp;javax.swing.WindowConstants</h3>
<a id="fields.inherited.from.class.javax.swing.WindowConstants">
<!--   -->
</a><code>DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Note</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(doca.Connexion)">Note</a></span>&#8203;(<a href="Connexion.html" title="class in doca">Connexion</a>&nbsp;c)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#acceuilActionPerformed(java.awt.event.ActionEvent)">acceuilActionPerformed</a></span>&#8203;(java.awt.event.ActionEvent&nbsp;evt)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getConnection()">getConnection</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#initComponents()">initComponents</a></span>()</code></th>
<td class="colLast">
<div class="block">This method is called from within the constructor to initialize the form.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#notesActionPerformed(java.awt.event.ActionEvent)">notesActionPerformed</a></span>&#8203;(java.awt.event.ActionEvent&nbsp;evt)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rechercherActionPerformed(java.awt.event.ActionEvent)">rechercherActionPerformed</a></span>&#8203;(java.awt.event.ActionEvent&nbsp;evt)</code></th>
<td class="colLast">
<div class="block">Cette parti sert à se deplacer vers une autre page</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setConnection(java.lang.String)">setConnection</a></span>&#8203;(java.lang.String&nbsp;connection)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#valideActionPerformed(java.awt.event.ActionEvent)">valideActionPerformed</a></span>&#8203;(java.awt.event.ActionEvent&nbsp;evt)</code></th>
<td class="colLast">
<div class="block">Nous pouvons voir si dessous le bouton qui validera l'ajout d'une note.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javax.swing.JDialog</h3>
<a id="methods.inherited.from.class.javax.swing.JDialog">
<!--   -->
</a><code>addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Dialog</h3>
<a id="methods.inherited.from.class.java.awt.Dialog">
<!--   -->
</a><code>addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Window</h3>
<a id="methods.inherited.from.class.java.awt.Window">
<!--   -->
</a><code>addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<a id="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a><code>add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<a id="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="st">st</a></h3>
<div class="memberSignature"><span class="modifiers">static</span>&nbsp;<span class="returnType">java.sql.Statement</span>&nbsp;<span class="memberName">st</span></div>
<div class="block">Creates new form Note</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="rs">rs</a></h3>
<div class="memberSignature"><span class="modifiers">static</span>&nbsp;<span class="returnType">java.sql.ResultSet</span>&nbsp;<span class="memberName">rs</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="myconnexion">myconnexion</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType"><a href="Connexion.html" title="class in doca">Connexion</a></span>&nbsp;<span class="memberName">myconnexion</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="connection">connection</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">connection</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="acceuil">acceuil</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JButton</span>&nbsp;<span class="memberName">acceuil</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="date">date</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">com.toedter.calendar.JDateChooser</span>&nbsp;<span class="memberName">date</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="jLabel1">jLabel1</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">jLabel1</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="jLabel2">jLabel2</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">jLabel2</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="jLabel3">jLabel3</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">jLabel3</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="jLabel4">jLabel4</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">jLabel4</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="jPanel1">jPanel1</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JPanel</span>&nbsp;<span class="memberName">jPanel1</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="jScrollPane1">jScrollPane1</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JScrollPane</span>&nbsp;<span class="memberName">jScrollPane1</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="jTextArea1">jTextArea1</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JTextArea</span>&nbsp;<span class="memberName">jTextArea1</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="notes">notes</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JTextField</span>&nbsp;<span class="memberName">notes</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="rechercher">rechercher</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JButton</span>&nbsp;<span class="memberName">rechercher</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="valide">valide</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JButton</span>&nbsp;<span class="memberName">valide</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">Note</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">Note</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(doca.Connexion)">Note</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">Note</span>&#8203;(<span class="arguments"><a href="Connexion.html" title="class in doca">Connexion</a>&nbsp;c)</span></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - </dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getConnection()">getConnection</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getConnection</span>()</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setConnection(java.lang.String)">setConnection</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setConnection</span>&#8203;(<span class="arguments">java.lang.String&nbsp;connection)</span></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - </dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="initComponents()">initComponents</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">initComponents</span>()</div>
<div class="block">This method is called from within the constructor to initialize the form.
 WARNING: Do NOT modify this code. The content of this method is always
 regenerated by the Form Editor.</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="valideActionPerformed(java.awt.event.ActionEvent)">valideActionPerformed</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">valideActionPerformed</span>&#8203;(<span class="arguments">java.awt.event.ActionEvent&nbsp;evt)</span></div>
<div class="block">Nous pouvons voir si dessous le bouton qui validera l'ajout d'une note.</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="notesActionPerformed(java.awt.event.ActionEvent)">notesActionPerformed</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">notesActionPerformed</span>&#8203;(<span class="arguments">java.awt.event.ActionEvent&nbsp;evt)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="rechercherActionPerformed(java.awt.event.ActionEvent)">rechercherActionPerformed</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">rechercherActionPerformed</span>&#8203;(<span class="arguments">java.awt.event.ActionEvent&nbsp;evt)</span></div>
<div class="block">Cette parti sert à se deplacer vers une autre page</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="acceuilActionPerformed(java.awt.event.ActionEvent)">acceuilActionPerformed</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">acceuilActionPerformed</span>&#8203;(<span class="arguments">java.awt.event.ActionEvent&nbsp;evt)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="main(java.lang.String[])">main</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">main</span>&#8203;(<span class="arguments">java.lang.String[]&nbsp;args)</span></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - the command line arguments</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Note.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
